Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface Configurator

All Known Implementing Classes:
  DefaultLF5Configurator, PropertyConfigurator, ReloadingPropertyConfigurator, DOMConfigurator

public interface Configurator

Implemented by classes capable of configuring log4j using a URL.

Since:
  1.0
Author:
  Anders Kristensen

Field Summary
`static String` | `INHERITED` Special level value signifying inherited behaviour.
`static String` | `NULL` Special level signifying inherited behaviour, same as `INHERITED`.

Method Summary
`void` | `doConfigure(URL url, LoggerRepository repository)` Interpret a resource pointed by a URL and set up log4j accordingly.

Field Detail

### INHERITED

    public static final String INHERITED

  Special level value signifying inherited behaviour. The current value of this string constant is inherited. `NULL` is a synonym.

### NULL

    public static final String NULL

  Special level signifying inherited behaviour, same as `INHERITED`. The current value of this string constant is null.

Method Detail

### doConfigure

    public void doConfigure(URL url,
                            LoggerRepository repository)

  Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.
  Parameters:
    `url` - The URL to parse
    `hierarchy` - The hierarchy to operation upon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.